<div class="card shadow mb-4">
    <div class="card-header">
        <a [routerLink]="['/buyers']" class="mr-2"><i class="fas fa-backward"></i> </a>
        <a [routerLink]="['/buyers']">Buyers</a> / view-buyer / {{buyer.full_name}}
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header tabs-card-header">
        <ul class="nav nav-tabs" id="myTab" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" id="home-tab" data-toggle="tab" href="#general" role="tab"
                    aria-controls="home" aria-selected="true">General</a>
            </li>

            <!--<li class="nav-item">
                <a class="nav-link" id="requirements-tab" data-toggle="tab" href="#purchase_orders" role="tab"
                    aria-controls="requirements" aria-selected="false">Purchase Orders</a>
            </li>-->
        </ul>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="tab-content profile-tab" id="myTabContent">
                    <div class="tab-pane fade show active" id="general" role="tabpanel" aria-labelledby="home-tab">
                        <div>
                            <div class="row">
                                <div class="col-md-2">
                                    <label>Full Name</label>
                                </div>
                                <div class="col-md-8">
                                    <p>: {{buyer.full_name}}</p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2">
                                    <label>Email</label>
                                </div>
                                <div class="col-md-8">
                                    <p>: {{buyer.email}}</p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2">
                                    <label>Phone</label>
                                </div>
                                <div class="col-md-8">
                                    <p>: {{buyer.phone}}</p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2">
                                    <label>Address</label>
                                </div>
                                <div class="col-md-8">
                                    <p>: {{buyer.address}}, {{buyer.city}}, {{buyer.country}}, {{buyer.zip}}</p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2">
                                    <label>Added By</label>
                                </div>
                                <div class="col-md-8">
                                    <p>: {{buyer.created_by}}</p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2">
                                    <label>Added On</label>
                                </div>
                                <div class="col-md-8">
                                    <p>: {{buyer.created_on}}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade show" id="purchase_orders" role="tabpanel" aria-labelledby="home-tab">
                        <div class="table-responsive">
                            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                <thead>
                                    <tr>
                                        <th>Title</th>
                                        <th>Date Issued</th>
                                        <th>Style</th>
                                        <th>Quantity</th>
                                        <th>Value</th>
                                        <td>Currency</td>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr
                                        *ngFor="let po of purchase_orders | paginate: { itemsPerPage: 10, currentPage: p }">
                                        <td><a
                                                [routerLink]="['/purchase-order/view-order', po.order_id]">{{po.order_title}}</a>
                                        </td>
                                        <td>{{po.date_issued}}</td>
                                        <td><a [routerLink]="">{{po.style}}</a></td>
                                        <td>{{po.quantity}}</td>
                                        <td>{{po.value}}</td>
                                        <td>{{po.currency}}</td>
                                    </tr>
                                    <tr *ngIf="purchase_orders==''">
                                        <td colspan="10" class="text-center">No Records Found</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="row d-flex justify-content-center">
                            <pagination-controls *ngIf="purchase_orders!=''" class="my-pagination"
                                (pageChange)="p = $event">
                            </pagination-controls>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>